Bug 718370 - pam_yubico emits debug output even when disabled
pam_yubico emits debug output even when disabled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pam_yubico (Show other bugs)
15
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On: 719195
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-01 22:58 EDT by Fazli Sapuan
Modified: 2012-02-20 10:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-20 10:30:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Login output from tty1 (570 bytes, text/plain)
2011-07-01 22:58 EDT, Fazli Sapuan
no flags Details

  None (edit)
Description Fazli Sapuan 2011-07-01 22:58:01 EDT
Created attachment 510960 [details]
Login output from tty1

Description of problem:
The packaged version of this pam module leaks debug information even when debug mode is disabled. This leaks all yubikey IDs associated to a successful matched user.

Version-Release number of selected component (if applicable):
pam_yubico-2.4-2.fc15

How reproducible:
Always

Steps to Reproduce:
1. Edit /etc/pam.d/login to add before system-auth:
auth       required     pam_yubico.so id=16 authfile=/etc/yubikeys
2. Login from console
  
Actual results:
Debug output emitted

Expected results:
Debug output not emitted

Additional info:
This is already fixed upstream in 2.5.
Comment 1 Fazli Sapuan 2011-07-05 22:33:26 EDT
Package update request submitted.

Note You need to log in before you can comment on or make changes to this bug.